Package org.eclipse.m2m.atl.emftvm.util

## Class LazyCollection.IntersectionIterator

- java.lang.Object
- - org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyIterator<E>
  - - org.eclipse.m2m.atl.emftvm.util.LazyCollection.CachingIterator
    - - org.eclipse.m2m.atl.emftvm.util.LazyCollection.IntersectionIterator

All Implemented Interfaces:
  `java.util.Iterator<E>`

Enclosing class:
  LazyCollection<E>

    public class LazyCollection.IntersectionIterator
    extends LazyCollection.CachingIterator

`LazyCollection.ReadOnlyIterator` that returns only elements contained in both underlying collections.

### Field Summary

Fields
`protected E` `next`
`protected boolean` `nextSet`
`protected java.util.Collection<E>` `s`

### Fields inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.CachingIterator

`i, inner`

### Constructor Summary

Constructors
`IntersectionIterator​(java.util.Collection<E> s)` Creates a new `LazyCollection.IntersectionIterator` on this and `s`.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `hasNext()`
`E` `next()`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.CachingIterator

`updateCache`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyIterator

`remove`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

### Field Detail

#### s

    protected final java.util.Collection<E> s

#### next

    protected E next

#### nextSet

    protected boolean nextSet

### Constructor Detail

#### IntersectionIterator

    public IntersectionIterator​(java.util.Collection<E> s)

Creates a new `LazyCollection.IntersectionIterator` on this and `s`.

Parameters:
  `s` - the collection to intersect with this

### Method Detail

#### hasNext

    public boolean hasNext()

Specified by:
  `hasNext` in interface `java.util.Iterator<E>`
Overrides:
  `hasNext` in class `LazyCollection.CachingIterator`

#### next

    public E next()

Specified by:
  `next` in interface `java.util.Iterator<E>`
Overrides:
  `next` in class `LazyCollection.CachingIterator`